import { ParsedDID, DIDResolutionResult, DIDDocument, Resolvable } from '@tonomy/did-resolver';
import { AccountObject } from '@greymass/eosio/src/api/v1/types';
import { Registry, MethodId, AntelopeDIDResolutionOptions } from './types';
import antelopeChainRegistry from './antelope-did-chain-registry.json';
declare const REGEX_ACCOUNT_NAME: RegExp;
declare const REGEX_CHAIN_ID: RegExp;
declare const REGEX_CHAIN_NAME: RegExp;
declare const CONDITIONAL_PROOF_2022 = "ConditionalProof2022";
export { antelopeChainRegistry, REGEX_ACCOUNT_NAME, REGEX_CHAIN_ID, REGEX_CHAIN_NAME, CONDITIONAL_PROOF_2022 };
export declare function checkDID(parsed: ParsedDID, registry: Registry): MethodId | undefined;
export declare function fetchAccount(methodId: MethodId, _did: string, _parsed: ParsedDID, options: AntelopeDIDResolutionOptions): Promise<AccountObject | null>;
export declare function createDIDDocument(methodId: MethodId, did: string, antelopeAccount: AccountObject): DIDDocument;
export declare function resolve(did: string, parsed: ParsedDID, resolver: Resolvable, options: AntelopeDIDResolutionOptions): Promise<DIDResolutionResult>;
export declare function createResolver(options?: {
    antelopeChainUrl?: string;
}): any;
//# sourceMappingURL=resolver.d.ts.map